## ros-noetic-picovoice-msgs 1.0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(picovoice_msgs)

find_package(catkin REQUIRED COMPONENTS
  actionlib_msgs
  message_generation
)

add_message_files(FILES
  KeyValue.msg
  Keyword.msg
)

add_action_files(FILES
  GetIntent.action
  GetKeyword.action
)

generate_messages(DEPENDENCIES
  actionlib_msgs
)

catkin_package(CATKIN_DEPENDS
  actionlib_msgs
  message_runtime
)

=== debian/changelog ===
ros-noetic-picovoice-msgs (1.0.1-1buster) buster; urgency=high



 -- Rein Appeldoorn <reinzor@gmail.com>  Mon, 28 Mar 2022 22:00:00 -0000

ros-noetic-picovoice-msgs (1.0.0-1buster) buster; urgency=high

  * feat: git submodules, pv_recorder, intent filter (#4 <https://github.com/reinzor/picovoice_ros/issues/4>)
  * feat: Use v2.1 api
  * Contributors: Rein Appeldoorn

 -- Rein Appeldoorn <reinzor@gmail.com>  Mon, 28 Mar 2022 22:00:00 -0000

ros-noetic-picovoice-msgs (0.0.4-1buster) buster; urgency=high



 -- Rein Appeldoorn <reinzor@gmail.com>  Sun, 11 Apr 2021 22:00:00 -0000

ros-noetic-picovoice-msgs (0.0.3-1buster) buster; urgency=high



 -- Rein Appeldoorn <reinzor@gmail.com>  Mon, 05 Apr 2021 22:00:00 -0000

ros-noetic-picovoice-msgs (0.0.2-1buster) buster; urgency=high



 -- Rein Appeldoorn <reinzor@gmail.com>  Mon, 29 Mar 2021 22:00:00 -0000

ros-noetic-picovoice-msgs (0.0.1-1buster) buster; urgency=high

  * Picovoice ROS packages
  * Contributors: Rein Appeldoorn

 -- Rein Appeldoorn <reinzor@gmail.com>  Mon, 29 Mar 2021 22:00:00 -0000

=== debian/control ===
Source: ros-noetic-picovoice-msgs
Section: misc
Priority: optional
Maintainer: Rein Appeldoorn <reinzor@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-actionlib-msgs, ros-noetic-catkin, ros-noetic-message-generation
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-picovoice-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-actionlib-msgs, ros-noetic-message-runtime
Description: ROS interfaces for interacting with Picovoice driver nodes

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-picovoice-msgs//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
